//
//  ItemViewController.m
//  TabelDemo
//
//  Created by Developer on 26-08-14.
//  Copyright (c) 2014 Developer. All rights reserved.
//

#import "ItemViewController.h"

@interface ItemViewController ()
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *bottomConstraint;

@end

@implementation ItemViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
	[super viewDidLoad];
	// Do any additional setup after loading the view.

	if ([self.delegate respondsToSelector:@selector(imageForIndex:)])
	{
		UIImage *ourImage = [self.delegate imageForIndex:self.index];
		self.ourImageView.image = ourImage;
	}
	
	if ([self.delegate respondsToSelector:@selector(htmlForIndex:)])
	{
		NSString *ourHTML = [self.delegate htmlForIndex:self.index];
		if (ourHTML != nil)
		{
			[self.webView loadHTMLString:ourHTML baseURL:nil];
		}
	}
	
	if ([self.delegate respondsToSelector:@selector(remoteURLForIndex:)])
	{
		self.remoteURL = [self.delegate remoteURLForIndex:self.index];
		
		if (self.remoteURL != nil)
		{
			self.showWebsiteButton.hidden = NO;
		}
	}
	
	if ([self.delegate respondsToSelector:@selector(titleForIndex:)])
	{
		self.navigationItem.title = [self.delegate titleForIndex:self.index];
	}
	
}

- (void)viewWillAppear:(BOOL)animated
{
	if (self.showWebsiteButton.hidden == YES)
	{
		[self.view removeConstraint:self.bottomConstraint];
		
		id ourWebView = self.webView;
		id ourBottomLayoutGuide = self.bottomLayoutGuide;
		
		NSDictionary *viewsDictionary = NSDictionaryOfVariableBindings(ourWebView, ourBottomLayoutGuide);
		
		NSString *visualFormatString = @"V:[ourWebView]-[ourBottomLayoutGuide]";
		
		NSArray *newConstraints = [NSLayoutConstraint constraintsWithVisualFormat:visualFormatString options:0 metrics:nil views:viewsDictionary];
		
		[self.view addConstraints:newConstraints];
	}
}


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (IBAction)showWebsite:(id)sender
{
	if (self.remoteURL != nil)
	{
		UIApplication	*thisApplication = [UIApplication sharedApplication];
		[thisApplication openURL:self.remoteURL];
	}
}


/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
